[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# CreateAbsoluteSearchPath

CreateAbsoluteSearchPath - concatenates BaseDirectory and SearchPath to form an absolute path to search for files

## Declaration

Source position: fileutil.pas line 91

`function CreateAbsoluteSearchPath(`
`const SearchPath: String;`
`const BaseDirectory: String`
`):String;`

## Arguments

`SearchPath` |  | The search path (a relative path)
`BaseDirectory` |  | The base directory from which to form the absolute path

## Function result

The absolute path formed by concatenating BaseDirectory and SearchPath

## Description

CreateAbsoluteSearchPath - concatenates BaseDirectory and SearchPath to form an absolute path to search for files

Adds appropriate path delimiters to the BaseDirectory string, then adds the search path, checking that each directory in the path is in fact an absolutely specified directory, then returns the fully formed absolute search path.

## Errors

If BaseDirectory is empty, functions exits and returns with Result equal to SearchPath; if SearchPath is empty, function exits with empty Result

The latest version of this document can be found at lazarus-ccr.sourceforge.net.